# Commands & Permissions

The current commands in the plugin are:

`/collections`

* Opens the main collections gui
* **Permission:** collection.maingui

`/collections reload`

* Reloads the plugin
* **Permission**: collections.admin.reload

`/collections addxp <player> <collection> <xp>`

* Adds xp to a player's collection
* **Permission:** collections.admin.addxp

`/collections setxp <player> <collection> <xp>`

* Sets the xp of a player's collection to a certain amount
* **Permission:** collections.admin.setxp

`/collections opengui <player> <gui>`

* Opens any gui within the collections plugin for the specified player
* **Permission:** collections.admin.opengui

`/collections resetcollection <player> <collection>`

* Resets a certain collection completely for the specified player
* **Permission:** collections.admin.resetcollection

`/collections reset <player>`

* Resets ALL collections for a specified player
* **Permission:** collections.admin.reset

`/collections setitem <collection>`

* Sets the item used for triggering a certain collection to the item the command executor is holding.
* **Permission:** collections.admin.setitem

`/collections setreward <reward_file> <reward_name> <item_icon>`

* Adds the handheld item to the specified rewards file with the specified icon (Icon must be a single character, check GUI wiki for more info)
* **Permission:** collections.admin.setreward


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pogmc.net/plugins/ultracollections/commands-and-permissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
